Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.util
Class XMLUtil

    java.lang.Object
      |
      +--oracle.xml.util.XMLUtil

public class XMLUtil
extends java.lang.Object

Constructor Summary
`XMLUtil()`

Method Summary
`static java.lang.String` | `encodeURL(java.lang.String s)` Translates a string into `x-www-form-urlencoded` format.
`static java.lang.String` | `getJavaEncoding(java.lang.String enc)` Get Java encoding from IANA encoding
`static java.lang.String` | `getLocalName(java.lang.String qualifiedName)` extracts localName part from a qualified name
`static java.lang.String` | `getPrefix(java.lang.String qualifiedName)` extracts prefix part from a qualified name
`static boolean` | `isFirstNameChar(char c)` return true if character can be part of a name
`static boolean` | `isNameChar(char c)` return true if character can be part of a name
`static boolean` | `isNmtokenChar(char c)` return true if character can be part of a NMTOKEN
`static boolean` | `isWhiteSpace(char[] ch, int start, int len)` return true if character array is whitespace chars
`static boolean` | `isWhiteSpaceChar(char c)` return true if character is whitespace
`static char[]` | `mappingChars(char one, java.util.HashMap maps)`
`static java.lang.String` | `nodeTypeToString(int type)`
`static void` | `validateName(java.lang.String name)` Validates a XML Name
`static void` | `validatePrefix(java.lang.String prefix)`
`static void` | `validateQualifiedName(java.lang.String qualifiedname)` validates qualified name
`static void` | `validateQualifiedName(java.lang.String namespaceURI, java.lang.String qualifiedname)` validates qualified name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLUtil

    public XMLUtil()

Method Detail

### getJavaEncoding

    public static java.lang.String getJavaEncoding(java.lang.String enc)

  Get Java encoding from IANA encoding

### encodeURL

    public static java.lang.String encodeURL(java.lang.String s)

  Translates a string into `x-www-form-urlencoded` format.
  Parameters:
    `s` - `String` to be translated.
  Returns:
    the translated `String`.

### isWhiteSpace

    public static boolean isWhiteSpace(char[] ch,
                                       int start,
                                       int len)

  return true if character array is whitespace chars
  Parameters:
    `ch` - - char array
    `start` - - start index in the array
    `len` - - number of chars to be checked
  Returns:
    true/false

### isWhiteSpaceChar

    public static boolean isWhiteSpaceChar(char c)

  return true if character is whitespace
  Parameters:
    `c` - - char to be checked
  Returns:
    true/false

### isNameChar

    public static boolean isNameChar(char c)

  return true if character can be part of a name
  Parameters:
    `c` - - char to be checked
  Returns:
    true/false

### isNmtokenChar

    public static boolean isNmtokenChar(char c)

  return true if character can be part of a NMTOKEN
  Parameters:
    `c` - - char to be checked
  Returns:
    true/false

### isFirstNameChar

    public static boolean isFirstNameChar(char c)

  return true if character can be part of a name
  Parameters:
    `c` - - char to be checked
  Returns:
    true/false

### validateName

    public static void validateName(java.lang.String name)
                             throws DOMException

  Validates a XML Name
    `DOMException`

### validateQualifiedName

    public static void validateQualifiedName(java.lang.String namespaceURI,
                                             java.lang.String qualifiedname)
                                      throws DOMException

  validates qualified name
  Parameters:
    `qualifiedname` - and the namespaceURI against which it is validated
  Throws:
    `DOMException` - NAMESPACE_ERR: Raised if qualifiedname is malformed or if namespaceURI is null or if qualifiedname has a prefix "xml" and namespaceURI is not nameXMLNamespace or if prefix is "xmlns" & namespaceURI is "http://www.w3c.org/2000/xmlns/"

### validateQualifiedName

    public static void validateQualifiedName(java.lang.String qualifiedname)
                                      throws DOMException

  validates qualified name
  Parameters:
    `qualifiedname` - to be validated
  Throws:
    `DOMException` - NAMESPACE_ERR:Raised if qualifiedname is malformed

### validatePrefix

    public static void validatePrefix(java.lang.String prefix)
                               throws DOMException

    `DOMException`

### getPrefix

    public static java.lang.String getPrefix(java.lang.String qualifiedName)

  extracts prefix part from a qualified name
  Returns:
    the prefix part extracted from the qualifiedname

### getLocalName

    public static java.lang.String getLocalName(java.lang.String qualifiedName)

  extracts localName part from a qualified name
  Returns:
    the localName part extracted from the qualifiedname

### nodeTypeToString

    public static java.lang.String nodeTypeToString(int type)

### mappingChars

    public static char[] mappingChars(char one,
                                      java.util.HashMap maps)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.